com.fasterxml.jackson.databind.deser

## Class SettableAnyProperty.MapParameterAnyProperty

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.SettableAnyProperty
  - - com.fasterxml.jackson.databind.deser.SettableAnyProperty.MapParameterAnyProperty

All Implemented Interfaces:
  Serializable

Enclosing class:
  SettableAnyProperty

    protected static class SettableAnyProperty.MapParameterAnyProperty
    extends SettableAnyProperty
    implements Serializable

[databind#562] Allow @JsonAnySetter on Creator constructor

Since:
  2.18
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.deser.SettableAnyProperty

`SettableAnyProperty.JsonNodeFieldAnyProperty, SettableAnyProperty.JsonNodeParameterAnyProperty, SettableAnyProperty.MapFieldAnyProperty, SettableAnyProperty.MapParameterAnyProperty, SettableAnyProperty.MethodAnyProperty`

### Field Summary

Fields
`protected int` `_parameterIndex`
`protected ValueInstantiator` `_valueInstantiator`

### Fields inherited from class com.fasterxml.jackson.databind.deser.SettableAnyProperty

`_keyDeserializer, _property, _setter, _setterIsField, _type, _valueDeserializer, _valueTypeDeserializer`

### Constructor Summary

Constructors
Constructor and Description
`MapParameterAnyProperty(BeanProperty property, AnnotatedMember field, JavaType valueType, KeyDeserializer keyDeser, JsonDeserializer<Object> valueDeser, TypeDeserializer typeDeser, ValueInstantiator inst, int parameterIndex)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `_set(Object instance, Object propName, Object value)`
`Object` `createParameterObject()` Create an instance of value to pass through Creator parameter.
`int` `getParameterIndex()` Accessor for parameterIndex.
`SettableAnyProperty` `withValueDeserializer(JsonDeserializer<Object> deser)`

### Methods inherited from class com.fasterxml.jackson.databind.deser.SettableAnyProperty

`_throwAsIOE, constructForJsonNodeField, constructForJsonNodeParameter, constructForMapField, constructForMapParameter, constructForMethod, deserialize, deserializeAndSet, fixAccess, getProperty, getPropertyName, getType, hasValueDeserializer, isFieldType, set, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### _valueInstantiator

    protected final ValueInstantiator _valueInstantiator

#### _parameterIndex

    protected final int _parameterIndex

### Constructor Detail

#### MapParameterAnyProperty

    public MapParameterAnyProperty(BeanProperty property,
                                   AnnotatedMember field,
                                   JavaType valueType,
                                   KeyDeserializer keyDeser,
                                   JsonDeserializer<Object> valueDeser,
                                   TypeDeserializer typeDeser,
                                   ValueInstantiator inst,
                                   int parameterIndex)

### Method Detail

#### withValueDeserializer

    public SettableAnyProperty withValueDeserializer(JsonDeserializer<Object> deser)

Specified by:
  `withValueDeserializer` in class `SettableAnyProperty`

#### _set

    protected void _set(Object instance,
                        Object propName,
                        Object value)

Specified by:
  `_set` in class `SettableAnyProperty`

#### getParameterIndex

    public int getParameterIndex()

Description copied from class: `SettableAnyProperty`
Accessor for parameterIndex.

Overrides:
  `getParameterIndex` in class `SettableAnyProperty`
Returns:
  -1 if not a parameterized setter, otherwise index of parameter

#### createParameterObject

    public Object createParameterObject()

Description copied from class: `SettableAnyProperty`
Create an instance of value to pass through Creator parameter.

Overrides:
  `createParameterObject` in class `SettableAnyProperty`